<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2017 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Eugene Melnik <e.melnik@luckywarepro.com>
 */
abstract class DZF_Sms_Transport_Abstract
{
    /**
     * @param   string          $phoneNumber
     * @param   string          $content
     * @param   array           $params
     * @return  boolean
     */
    abstract public function sendSms($phoneNumber, $content, $params = array());

    /**
     * @var \Zend_Http_Client
     */
    protected static $_httpClient;

    /**
     * @param   \Zend_Http_Client        $httpClient
     */
    public static function setHttpClient($httpClient)
    {
        self::$_httpClient = $httpClient;
    }

    /**
     * @return  \Zend_Http_Client
     */
    public static function getHttpClient()
    {
        if (!isset(self::$_httpClient))
        {
            $adapterCurl = new \Zend_Http_Client_Adapter_Curl();

            $adapterCurl->setConfig(array(
                'curloptions' => array(
                    CURLOPT_FOLLOWLOCATION  => true,
                    CURLOPT_MAXREDIRS       => 99,
                    CURLOPT_RETURNTRANSFER  => true,
                    CURLOPT_SSL_VERIFYPEER  => true,
                    CURLOPT_SSL_VERIFYHOST  => true
                )
            ));

            self::$_httpClient = new \Zend_Http_Client();
            self::$_httpClient->setAdapter($adapterCurl);
        }

        self::$_httpClient->resetParameters(true);

        return self::$_httpClient;
    }
}
