<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Validate_EmailUnique extends \Zend_Validate_Abstract
{
    protected $_messageTemplates = array(
        'notunique' => "Diese E-Mail Adresse wird bereits benutzt."
    );

    public function isValid($value)
    {
        $this->_setValue($value);

        $mailUnique = \Doctrine_Query::create()
	        ->select('COUNT(id) as num_users')
            ->from('User')
            ->where('email = ?', array($value))
            ->execute()
            ->getFirst();

        if ($mailUnique && $mailUnique->num_users > 0)
        {
            $this->_error('notunique');
            return false;
        }

        return true;
    }
}