<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

class DZF_View_Helper_PlaceholderReplacer extends \Zend_View_Helper_Abstract
{
    const PLACEHOLDER_DELIMITER_BRACKETS = 0;
    const PLACEHOLDER_DELIMITER_PERCENT = 1;

    /**
     * @param array $placeholders
     * @param string $string
     * @param int $delimiter
     * @return mixed|string
     */
    public function placeholderReplacer($placeholders = array(), $string = '', $delimiter = DZF_View_Helper_PlaceholderReplacer::PLACEHOLDER_DELIMITER_BRACKETS)
    {
        return $this->replacePlaceholders($placeholders, $string, $delimiter);
    }

    /**
     * @param array $placeholders
     * @param string $string
     * @param int $delimiter
     * @return mixed|string
     */
    public function replacePlaceholders($placeholders = array(), $string = '', $delimiter = DZF_View_Helper_PlaceholderReplacer::PLACEHOLDER_DELIMITER_BRACKETS)
    {
        if (!$string)
        {
            return '';
        }

        foreach ($placeholders as $key => $value)
        {
            $delimiterBrackets = $delimiter === DZF_View_Helper_PlaceholderReplacer::PLACEHOLDER_DELIMITER_BRACKETS;
            $placeholder = ($delimiterBrackets ? '{' : '%').$key.($delimiterBrackets ? '}' : '%');
            $string = str_replace($placeholder, $value, $string);
        }

        return $string;
    }
}
