<?php

class DZF_Controller_Action_Helper_DataSenderTests extends DZF_Helpers_TestCaseBase
{
    // or stderr="true"
    /**
     * @runInSeparateProcess
     */
    public function testExportAsPhp()
    {
        $data = ['Sample data'];
        $dataSender = new DZF_Controller_Action_Helper_DataSender();

        $zendControllerAction = new ZendControllerActionTest(new RequestTest(), new ResponseTest());
        $dataSender->setActionController($zendControllerAction);

        $dataSender->exportAsPhp($data);

        $this->assertNotNull($dataSender->getResponse()->getHeaders());
        $this->assertNotNull($dataSender->getResponse()->getBody());
    }

    /**
     * @runInSeparateProcess
     */
    public function testExportAsPhpDataNameTrue()
    {
        $data = ['Sample data'];
        $dataSender = new DZF_Controller_Action_Helper_DataSender();

        $zendControllerAction = new ZendControllerActionTest(new RequestTest(), new ResponseTest());
        $dataSender->setActionController($zendControllerAction);

        $dataSender->exportAsPhp($data, true);

        $this->assertNotNull($dataSender->getResponse()->getHeaders());
        $this->assertNotNull($dataSender->getResponse()->getBody());
    }

    /**
     * @runInSeparateProcess
     */
    public function testExportAsZip()
    {
        $filesData = ['Sample data'];
        $fileName = 'exportZip';
        $dataSender = new DZF_Controller_Action_Helper_DataSender();

        $zendControllerAction = new ZendControllerActionTest(new RequestTest(), new ResponseTest());
        $dataSender->setActionController($zendControllerAction);

        $filePath = TEMP_PATH . '/' . $fileName;
        file_put_contents($filePath, '');
        $dataSender->exportAsZip($filesData, $fileName);
        unset($filePath);

        $this->assertNotNull($dataSender->getResponse()->getHeaders());
        $this->assertNotNull($dataSender->getResponse()->getBody());
    }
}
