<?php

class DZF_Nagios_Formatter_TextTests extends DZF_Helpers_TestCaseBase
{
    public function testFillPlaceholders()
    {
        $formatter = new DZF_Nagios_Formatter_Text();

        $placeholders = array(
            'status' => 'new status',
            'message' => 'new message',
            'perfdata_label' => 'new label',
            'perfdata_value' => 'new value',
            'perfdata_unit' => 'new unit',
            'threshold_warn' => 'new warn',
            'threshold_crit' => 'new crit',
            'min_value' => 'min',
            'max_value' => 'max',
            'long_text' => 'long'
        );

        $expectedText = 'new status - new message
';
        $result = $formatter->fillPlaceholders($placeholders);

        $this->assertEquals($expectedText, $result);
    }

    public function testGetMode()
    {
        $formatter = new DZF_Nagios_Formatter_Text();

        $result = $formatter->setMode(DZF_Nagios_Plugin::MODE_UNKNOWN);

        $this->assertNotNull($result);
    }

    public function testSetMode()
    {
        $formatter = new DZF_Nagios_Formatter_Text();

        $result = $formatter->getMode();

        $this->assertEquals(DZF_Nagios_Plugin::MODE_UNKNOWN, $result);
    }
}
