<?php

class DZF_Nagios_Plugin_Doctrine_UserRegistrationsTests extends DZF_Helpers_TestCaseBase
{
    public function testSetSince()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $result = $userRegistrations->setSince('2019-11-20 00:00:00');

        $this->assertNotNull($result);
    }

    public function testGetSince()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $expected = '2019-11-20 00:00:00';
        $userRegistrations->setSince($expected);
        $result = $userRegistrations->getSince();

        $this->assertNotNull($result);
        $this->assertEquals($expected, $result);
    }

    public function testSetOnlyNotDeleted()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $result = $userRegistrations->setOnlyNotDeleted(true);

        $this->assertNotNull($result);
    }

    public function testGetOnlyNotDeleted()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $expected = false;
        $userRegistrations->setOnlyNotDeleted($expected);
        $result = $userRegistrations->getOnlyNotDeleted();

        $this->assertNotNull($result);
        $this->assertEquals($expected, $result);
    }

    public function testSetUsersTable()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $result = $userRegistrations->setUsersTable('User');

        $this->assertNotNull($result);
    }

    public function testGetUsersTable()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $expected = 'User';
        $userRegistrations->setUsersTable('User');
        $result = $userRegistrations->getUsersTable();

        $this->assertNotNull($result);
        $this->assertEquals($expected, $result);
    }

    public function testSetCreatedDateColumn()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $result = $userRegistrations->setCreatedDateColumn('column1');

        $this->assertNotNull($result);
    }

    public function testGetCreatedDateColumn()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $expected = 'column1';
        $userRegistrations->setCreatedDateColumn('column1');
        $result = $userRegistrations->getCreatedDateColumn();

        $this->assertNotNull($result);
        $this->assertEquals($expected, $result);
    }

    public function testSetDeletedDateColumn()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $result = $userRegistrations->setDeletedDateColumn('column1');

        $this->assertNotNull($result);
    }

    public function testGetDeletedDateColumn()
    {
        $userRegistrations = new DZF_Nagios_Plugin_Doctrine_UserRegistrations();

        $expected = 'column1';
        $userRegistrations->setDeletedDateColumn('column1');
        $result = $userRegistrations->getDeletedDateColumn();

        $this->assertNotNull($result);
        $this->assertEquals($expected, $result);
    }
}
