<?php

class DZF_Settings_Source_DoctrineTests extends DZF_Helpers_TestCaseBase
{
    const TABLE_NAME = 'dzf_settings';
    const GROUP_KEY = 'group_key';
    const PARAM_KEY = 'param_key';
    const COLUMN = 'value';

    public function testGetValue()
    {
        $doctrine = new DZF_Settings_Source_Doctrine(self::TABLE_NAME);

        $result = $doctrine->getValue('group_key_1');
    }

    public function testGetValueGroupKeyNull()
    {
        $doctrine = new DZF_Settings_Source_Doctrine(self::TABLE_NAME, null, self::GROUP_KEY, self::COLUMN);

        $result = $doctrine->getValue('group_key_1');
    }

    public function testGetValueParamKeyNull()
    {
        $doctrine = new DZF_Settings_Source_Doctrine(self::TABLE_NAME, self::GROUP_KEY, null, self::COLUMN);

        $result = $doctrine->getValue('group_key_1');
    }

    public function testGetValueColumnNull()
    {
        $doctrine = new DZF_Settings_Source_Doctrine(self::TABLE_NAME, self::GROUP_KEY, self::GROUP_KEY, null);

        $result = $doctrine->getValue('group_key_1');
    }

    public function testGetValueParamNull()
    {
        $doctrine = new DZF_Settings_Source_Doctrine(self::TABLE_NAME);
        $expectedValue = 'KPEYE_Bootstrap';
        $result = $doctrine->getValue('group_key_1', 'bootstrap.class');
    }
}
