<?php


class DZF_Sms_Transport_SipgateTests extends DZF_Helpers_TestCaseBase
{
    public function testSendSms()
    {
        $userName = 'testUser';
        $password = 'password';

        $phoneNumber = '+123456789';
        $content = 'Some content';
        $params = array(
            'testParam1' => 1,
            'testParam2' => 2,
            'testParam3' => 3
        );

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $resultSendSms = $sipgate->sendSms($phoneNumber, $content, $params);

        $this->assertEquals(false, $resultSendSms);
    }

    public function testGetXmlRpcClient()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $client = $sipgate->getXmlRpcClient();

        $this->assertEquals(get_class($client), Zend_XmlRpc_Client::class);
    }

    public function testConstruct()
    {
        $userName = 'testUser';
        $password = 'password';
        $senderPhoneNumber = '+184549898';

        new DZF_Sms_Transport_Sipgate($userName, $password, $senderPhoneNumber);
    }

    public function testSetSenderPhoneNumber()
    {
        $userName = 'testUser';
        $password = 'password';
        $senderPhoneNumber = '+184549898';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $result = $sipgate->setSenderPhoneNumber($senderPhoneNumber);

        $this->assertEquals($sipgate, $result);
    }

    public function testGetAllResponse()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getAllResponse();

        $this->assertEquals(array(), $response);
    }

    public function testGetResponseData()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getResponseData();

        $this->assertEquals(null, $response);
    }

    public function testGetResponseStatusCode()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getResponseStatusCode();

        $this->assertEquals(null, $response);
    }

    public function testGetResponseStatusString()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getResponseStatusString();

        $this->assertEquals(null, $response);
    }

    public function testGetResponseSessionId()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getResponseSessionId();

        $this->assertEquals(null, $response);
    }

    public function testGetLastRawRequest()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getLastRawRequest();

        $this->assertEquals(null, $response);
    }

    public function testGetLastRawResponse()
    {
        $userName = 'testUser';
        $password = 'password';

        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $response = $sipgate->getLastRawResponse();

        $this->assertEquals(null, $response);
    }

    public function testSetXmlRpcClient()
    {
        $userName = 'testUser';
        $password = 'password';

        $client = new Zend_XmlRpc_Client('test.address:8080');
        $sipgate = new DZF_Sms_Transport_Sipgate($userName, $password);
        $sipgate::setXmlRpcClient($client);
    }
}
