<?php

#namespace DeubertIt;

class DZF_TextTests extends DZF_Helpers_TestCaseBase
{
    public function testGetRandomString()
    {
        $randomString = DZF_Text::getRandomString(8);

        $this->assertEquals(8, strlen($randomString));
    }

    public function testAnonymizeIp()
    {
        $ip = '123.123.123.123';

        $expectedIp = '123.123.123.x';

        $anonymizedIp = DZF_Text::anonymizeIp($ip);

        $this->assertEquals($expectedIp, $anonymizedIp);
    }

    /**
     * @expectedException DZF_Exception
     * @expectedExceptionMessage Invalid IP
     */
    public function testAnonymizeIpException()
    {
        $ip = '123';

        DZF_Text::anonymizeIp($ip);
    }
}