<?php

class DZF_Validate_BLZTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = '0123456789';
        $valueNotValid1 = '0123456789 ^^^';
        $valueNotValid2 = '012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789';

        $blz = new DZF_Validate_BLZ();

        $result = $blz->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $blz->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $blz->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }

    public function testSetMinLength()
    {
        $blz = new DZF_Validate_BLZ();

        $result = $blz->setMinLength(100);

        $this->assertEquals($blz, $result);
    }

    public function testSetMaxLength()
    {
        $blz = new DZF_Validate_BLZ();

        $result = $blz->setMaxLength(100);

        $this->assertEquals($blz, $result);
    }

    public function testIsValidException()
    {
        $valueValid = '0123456789';

        $blz = new DZF_Validate_BLZ();
        $blz->setMinLength(100);

        $result = $blz->isValid($valueValid);

        $this->assertFalse($result);
    }

    public function testIsValid2Exception()
    {
        $valueValid = '0123456789';

        $blz = new DZF_Validate_BLZ();
        $blz->setMaxLength(5);

        $result = $blz->isValid($valueValid);

        $this->assertFalse($result);
    }
}
