<?php

class DZF_Validate_BankAccountNumberTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = '0123456789';
        $valueNotValid1 = '0-123-456-789';
        $valueNotValid2 = '012B456A89';

        $bankAccountNumber = new DZF_Validate_BankAccountNumber();

        $result = $bankAccountNumber->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $bankAccountNumber->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $bankAccountNumber->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }

    public function testIsValidExceptionMin()
    {
        $valueValid = '01';

        $bankAccountNumber = new DZF_Validate_BankAccountNumber();

        $result = $bankAccountNumber->isValid($valueValid);
        $this->assertEquals(false, $result);
    }

    public function testIsValidExceptionMax()
    {
        $valueValid = '01121313212132132132132132132132113132';

        $bankAccountNumber = new DZF_Validate_BankAccountNumber();

        $result = $bankAccountNumber->isValid($valueValid);
        $this->assertEquals(false, $result);
    }
}
