<?php

class DZF_Validate_FirmNameTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test firm name';
        $valueNotValid1 = 'Test firm name ^^^';
        $valueNotValid2 = 'Test firm name Test firm name Test firm name Test firm name Test firm name Test firm name Test firm name';

        $firmName = new DZF_Validate_FirmName();

        $result = $firmName->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $firmName->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $firmName->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }

    public function testIsValidException()
    {
        $valueValid = 'T';

        $firmName = new DZF_Validate_FirmName();

        $result = $firmName->isValid($valueValid);

        $this->assertFalse($result);
    }
}
