<?php

class DZF_Validate_PostalCodeTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = '23121';
        $valueNotValid1 = '2313231$62';
        $valueNotValid2 = '231231231231231231';

        $postalCode = new DZF_Validate_PostalCode();

        $result = $postalCode->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $postalCode->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $postalCode->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }

    public function testSetMinLength()
    {
        $postalCode = new DZF_Validate_PostalCode();

        $result = $postalCode->setMinLength(100);

        $this->assertEquals($postalCode, $result);
    }

    public function testSetMaxLength()
    {
        $postalCode = new DZF_Validate_PostalCode();

        $result = $postalCode->setMaxLength(100);

        $this->assertEquals($postalCode, $result);
    }

    public function testIsValidExceptionLength()
    {
        $valueValid = ':::';

        $postalCode = new DZF_Validate_PostalCode();

        $result = $postalCode->isValid($valueValid);

        $this->assertFalse($result);
    }

    public function testIsValidException()
    {
        $valueValid = ':::::';

        $postalCode = new DZF_Validate_PostalCode();

        $result = $postalCode->isValid($valueValid);

        $this->assertFalse($result);
    }
}
