<?php

class DZF_View_Helper_BodyClassesTests extends DZF_Helpers_TestCaseBase
{
    /** @var DZF_View_Helper_BodyClasses */
    protected static $bodyClasses;

    const CLASS_NAME = 'TestClass';

    public function __construct($name = null, array $data = [], $dataName = '')
    {
        if (!self::$bodyClasses) {
            self::$bodyClasses = new DZF_View_Helper_BodyClasses();
        }

        parent::__construct($name, $data, $dataName);
    }

    public function testAddClass()
    {
        $this->assertEquals('', self::$bodyClasses->bodyClasses());

        DZF_View_Helper_BodyClasses::addClass(self::CLASS_NAME);
        $this->assertEquals(' ' . self::CLASS_NAME, self::$bodyClasses->bodyClasses());

        DZF_View_Helper_BodyClasses::addClass(self::CLASS_NAME);
        $this->assertEquals(' ' . self::CLASS_NAME . ' ' . self::CLASS_NAME, self::$bodyClasses->bodyClasses());
    }

    public function testRemoveClass()
    {
        DZF_View_Helper_BodyClasses::removeClass(self::CLASS_NAME);

        $this->assertEquals('', self::$bodyClasses->bodyClasses());
    }

    public function testReset()
    {
        DZF_View_Helper_BodyClasses::addClass(self::CLASS_NAME);
        DZF_View_Helper_BodyClasses::addClass(self::CLASS_NAME);
        DZF_View_Helper_BodyClasses::addClass(self::CLASS_NAME);
        DZF_View_Helper_BodyClasses::reset();

        $this->assertEquals('', self::$bodyClasses->bodyClasses());
    }
}
